Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlFixed

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlFixed

All Implemented Interfaces:
  idlFixed, idlObject, java.io.Serializable

public class IdlFixed
extends IdlObject
implements idlFixed

Cette classe represente l'objet IDL Fixed

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlFixed(int digits, int scale, IdlObject father)` Cree un objet IDL Fixed

Method Summary
`int` | `digits()` Retourne le nombre de digits du type fixed
`int` | `scale()` Retourne le scale du type fixed

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlFixed

    public IdlFixed(int digits,
                    int scale,
                    IdlObject father)

  Cree un objet IDL Fixed

Method Detail

### digits

    public int digits()

  Retourne le nombre de digits du type fixed
  Specified by:
    `digits` in interface `idlFixed`
  Returns:
    le nombre de digits

### scale

    public int scale()

  Retourne le scale du type fixed
  Specified by:
    `scale` in interface `idlFixed`
  Returns:
    le scale

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD